#ifndef HIKVISION_NETWORK_SDK_PACKAGING_LIBRARY_LIBRARY_H
#define HIKVISION_NETWORK_SDK_PACKAGING_LIBRARY_LIBRARY_H

#ifdef _WIN32
    #ifdef Export
        #define Omnimatrix __declspec(dllexport)
    #else
        #define Omnimatrix __declspec(dllimport)
    #endif
#else
    #define Omnimatrix
#endif



#ifdef __cplusplus
extern "C" {
#endif
    Omnimatrix bool DVR_Init();

    Omnimatrix void* NewHIKBallCamera();
    Omnimatrix bool InitBallCamera(void* PtrHIKBallCamera,const char* ip, const char* port,const char* username,const char* password,const char* BallMachineType);
    Omnimatrix bool PtzGotoPut(void* PtrHIKBallCamera,int Action, float P, float T, float Z);
    Omnimatrix bool PtzGet(void* PtrHIKBallCamera,void *P, void *T, void *Z);
    Omnimatrix bool StopBus(void* PtrHIKBallCamera,int direction);
    Omnimatrix bool StartBus(void* PtrHIKBallCamera,int direction,int speed);

    Omnimatrix void* NewHIKNvr();
    Omnimatrix bool InitNvr(void* PtrHIKNvr,char* ip, char* port, char* username, char* password, int channel);
    Omnimatrix char* CheckTimeRegionWithMonth(void* PtrHIKNvr,int year,int month);
    Omnimatrix char* CheckTimeRegionWithDay(void* PtrHIKNvr,int year,int month,int day);

#ifdef __cplusplus
}
#endif

#endif //HIKVISION_NETWORK_SDK_PACKAGING_LIBRARY_LIBRARY_H
